/*
 * 其他网站提取类
 */
(function() {

    owner = {};
	owner.isArray = function(obj) {
		return Object.prototype.toString.call(obj) === '[object Array]';
	};

	String.prototype.endWith = function(endStr) {
		console.log(endStr);
		if (Object.prototype.toString.call(endStr) === '[object Array]') {
			for (var i = 0; i < endStr.length; i++) {
				var endstring = endStr[i];
				var d = this.length - endstring.length;
				return (d >= 0 && this.lastIndexOf(endstring) == d);
			}
		} else {
			var d = this.length - endStr.length;
			return (d >= 0 && this.lastIndexOf(endStr) == d);
		}
	};

	/*
	 * 获取所有的样式表，extensionList表示样式表的扩展名
	 */
	owner.allStyle = (function(extensionList) {
		var result = "";
		var links = document.getElementsByTagName("link");
		for (var i = 0; i < links.length; i++) {
			if (links[i].getAttribute("href").endWith(extensionList)) {
				result += links[i].outerHTML;
			}
		}
		var styles = document.getElementsByTagName("style");
		console.log(styles);
		for (var i = 0; i < styles.length; i++) {
			result += styles[i].outerHTML;
		}
		return result;
	})(".css");

	/*
	 * 使用tagName、className双重检索。
	 */
	owner.getElementByClassNameAndTagName = function(tagName, className) {
			var tags = document.getElementsByTagName(tagName);
			var tagArr = [];
			for (var i = 0; i < tags.length; i++) {

				if (tags[i].className == className || className.length == 0) {
					tagArr[tagArr.length] = tags[i];
				}
			}
			return tagArr;
	};

	/*
	 * 使用tagName、name双重检索。
	 */
	owner.getElementByTagNameAndName = function(tagName, name) {
		var tags = document.getElementsByTagName(tagName);
		var tagArr = [];
		for (var i = 0; i < tags.length; i++) {
			if (tags[i].name == name || name.length == 0) {
				tagArr[tagArr.length] = tags[i];
			}
		}
		return tagArr;
	};

	/*文章标题*/
	owner.title = document.title;
	/*文章描述*/
	owner.description = "";
	/*文章作者*/
	owner.author = "";

    owner.base = (function() {
    	var bases = document.getElementsByTagName("base");
    	var host = document.domain;
    	if (bases && bases[0] && bases[0].href) {
            host= bases[0].href;
    	}

        if( host.indexOf("://") == -1){
            host = location.protocol + "//" + host;
        }

        if(host.charAt(host.length-1) != "/"){
            host = host + "/";
        }
        return host;
    })();

	/*
	 * 直接取page-content
	 */
	owner.template1 = (function() {
		var container = document.getElementsByTagName("html")[0];
		if (container) {
			var rgExp = /min-height:.+?[;"]/g;
			return container.outerHTML.replace(rgExp,"");
		} else {
		    console.log("模板不适用");
		}
		return "";
	})();

    TagsayAndroid.setBaseHost(owner.base);
    TagsayAndroid.setTemplate(owner.template1, owner.allStyle, owner.title, owner.author);

})();