String.prototype.endWith=function(str){
  if(str==null||str==""||this.length==0||str.length>this.length)
     return false;
  if(this.substring(this.length-str.length)==str)
     return true;
  else
     return false;
  return true;
 }

 String.prototype.startWith=function(str){
  if(str==null||str==""||this.length==0||str.length>this.length)
   return false;
  if(this.substr(0,str.length)==str)
     return true;
  else
     return false;
  return true;
 }


function  Route(pageAddress) {
	window.route={};
	owner = window.route;

owner.platformName = (function ()
{

	var resultMap =["UC","WX","TT","YD","ZH","WB"];
	var UCPrefixList = ["http://s1.uczzd.cn","https://s1.uczzd.cn","s1.uczzd.cn","https://a.mp.uc.cn","http://a.mp.uc.cn","a.mp.uc.cn"];//UC平台
	var WXPrefixList = ["https://mp.weixin.qq.com/","http://mp.weixin.qq.com/","mp.weixin.qq.com"];//微信
	var TTPrefixList = ["https://m.toutiao.com","http://m.toutiao.com","https://toutiao.com/","http://toutiao.com/","m.toutiao.com","toutiao.com"];//头条
	var YDPrefixList = ["https://www.yidianzixun.com/","http://www.yidianzixun.com/","www.yidianzixun.com"];//一点资讯
	var ZHPrefixList = ["https://zhuanlan.zhihu.com","http://zhuanlan.zhihu.com","https://www.zhihu.com/","http://www.zhihu.com/","www.zhihu.com/"];//知乎
	var WBPrefixList = ["http://weibo.com","weibo.com","https://weibo.com"];
	var PrefixList = [UCPrefixList,WXPrefixList,TTPrefixList,YDPrefixList,ZHPrefixList,WBPrefixList];

	for (var i = 0; i < PrefixList.length; i++) {
		var platformPrefixList = PrefixList[i];
		for (var j = 0; j < platformPrefixList.length; j++) {
			if (pageAddress.startWith(platformPrefixList[j]))
			{
				return resultMap[i];
			}
		}
	}
	return "OTHER";
})();

owner.validPageAddress = (function  () {
	var strs=pageAddress.split("?");
	switch (owner.platformName){
		case "UC":
			if(strs[0].endWith("news.html") && strs.length > 1) {
				var params = strs[1].split("&");
				for (var i = 0; i < params.length; i++) {
					if (params[i].startWith("aid=") )
					{
						return strs[0] + "?" + params[i];
					}
				}
			}
			else return	pageAddress;
			break;
		case "WX":
			return pageAddress;
			break;
		case "TT":
			return strs[0];
			break;
		case "YD":
			return pageAddress;
			break;
		default:
			return pageAddress;
			break;
	}
})();

};

function init(){
//    log("init");
}

function startExt( url ){
    Route( url.toString() );
//    log(owner.platformName);
//    log(owner.validPageAddress);
    log("加载失败");
    TagsayAndroid.loadUrl(owner.platformName, owner.validPageAddress);
}

function log(log){
    document.getElementById("debug_log").innerHTML = document.getElementById("debug_log").innerHTML + "</br>" + log;
}